package za.co.shinycoin.bookfriend.data;

import za.co.shinycoin.bookfriend.data.repository.MemberRepository;
import za.co.shinycoin.bookfriend.model.Member;

/**
 * This can become a static class
 * @author Broodjie
 *
 */
public class DataController {
	private MemberRepository _memRepo;
	private static DataController _singleton;
	
	public static DataController getInstance(){
		if(_singleton == null){
			_singleton = new DataController();
		}
		return _singleton;
	}
	
	private DataController(){
		_memRepo = new MemberRepository();
	}
	
	public boolean registerMember(Member model){
		return _memRepo.saveMember(model);
	}
}
