package za.co.shinycoin.bookfriend.data.dbconn;

import java.sql.ResultSet;

/**
 * This can become a static class
 * @author Broodjie
 *
 */
public class DatabaseManager {
	
	private static DatabaseManager _singleton;
	private DatabaseManager(){
		//initialise database
	}
	
	public static DatabaseManager getInstance(){
		if(_singleton == null){
			_singleton = new DatabaseManager();
		}
		return _singleton;
	}

	/**
	 * Executes the given query to the database and returns the ResultSet
	 * 
	 * Queries include SELECT
	 * @param query
	 * @return
	 */
	public ResultSet executeQuery(String query){
		System.out.println(String.format("Executing query: %s", query));
		return null;
	}
	
	/**
	 * Executes the given update on the database and returns the rows affected or -1 if nothing was affected.
	 * 
	 * Updates include INSERT, DELETE, UPDATE
	 * @param query
	 * @return
	 */
	public int executeUpdate(String query){
		System.out.println(String.format("Executing update: %s", query));
		return -1;
	}
}
